Bug 196250 - During post-install, selecting "Handbook" hangs and then fails
Summary: During post-install, selecting "Handbook" hangs and then fails
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 10.1-RELEASE
Hardware: amd64 Any
: --- Affects Many People
Assignee: Allan Jude
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-12-24 07:58 UTC by David Millard
Modified: 2015-03-18 23:26 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Millard 2014-12-24 07:58:10 UTC
At the menu in figure 2.52 here (https://www.freebsd.org/doc/en_US.ISO8859-1/books/handbook/bsdinstall-post.html#bsdinstall-final-conf), selecting "Handbook" causes the system to hang at a message about (roughly) "Attempting to update catalog".  Pressing enter causes this message to be replaced with several about a package manager not being found.

Relevant info: I selected to install from FTP from the main site.  Network configuration seemed to go fine and I can ping external hosts with no extra configuration post reboot.
Comment 1 jgoerzen 2015-02-15 02:08:07 UTC
Saw this too.  The console on Alt-F3 or Alt-F4 shows messages about pkg not being installed.  Also, when I tried to install from CD, it said /dist is not writeable.
Comment 2 Allan Jude freebsd_committer 2015-03-07 19:12:20 UTC
A patch has been created and is undergoing review

https://reviews.freebsd.org/D2026
Comment 3 commit-hook freebsd_committer 2015-03-18 23:25:25 UTC
A commit references this bug:

Author: allanjude
Date: Wed Mar 18 23:24:39 UTC 2015
New revision: 280234
URL: https://svnweb.freebsd.org/changeset/base/280234

Log:
  Fix the handbook install option in bsdinstall

  bsdconfig's f_package_add doesn't seem to support using the pkg repo from /etc/pkg/FreeBSD.conf, it also tries to run the commands on the installer image, not in the destination chroot

  Instead, manually bootstrap pkg in the chroot, and then install the requested packages (in the chroot)

  Doesn't use pkg -c, because pkg is not installed on the installer image

  PR:		196250
  Differential Revision:	https://reviews.freebsd.org/D2026
  Approved by:	bapt
  Sponsored by:	ScaleEngine Inc.

Changes:
  head/usr.sbin/bsdinstall/scripts/docsinstall